<?php

namespace App\Dto\Input;

use App\Entity\UserGroup;
use Symfony\Component\Serializer\Annotation\Groups;
use Symfony\Component\Validator\Constraints as Assert;

final class UserGroupInput
{
    #[Assert\NotBlank]
    #[Groups(['user-group:write'])]
    public ?string $name = null;

    #[Groups(['user-group:write'])]
    public array $roles = [];

    #[Assert\NotNull]
    #[Groups(['user-group:write'])]
    public ?bool $enabled = false;

    public function __construct(?UserGroup $userGroup = null)
    {
        if (!$userGroup) {
            return;
        }

        $this->name = $userGroup->getName();
        $this->roles = $userGroup->getRoles();
        $this->enabled= $userGroup->isEnabled();
    }
}