<?php

namespace App\Dto\Output;

use ApiPlatform\Metadata\ApiProperty;
use App\Entity\AbstractEntity;
use Ramsey\Uuid\UuidInterface;
use Symfony\Component\Serializer\Annotation\Groups;

abstract class AbstractOutput
{
    #[ApiProperty(identifier: true)]
    #[Groups(['default'])]
    public UuidInterface $uuid;

    #[ApiProperty(identifier: false)]
    #[Groups(['default'])]
    public int $id;

    public function __construct(AbstractEntity $entity)
    {
        $this->uuid = $entity->getUuid();
        $this->id = $entity->getId();
    }
}